Get Soundcharts score

This API returns 3 Soundcharts scores per song: score, fanbase score and trending score.

Learn more about the scores in the help center.

Request

GET /api/v2/song/{uuid}/soundcharts/score

Path parameters

Parameter Value Description Additional
uuid string A Song UUID Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Sounddcharts Score response

SoundchartsScoreCollectionResponse2
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A Song UUID

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out